FROM openjdk:8u212-jre-alpine3.9

MAINTAINER Dereck Zenda

ENV DB_USER=appuser
ENV DB_PASSWORD=hannah
ENV DB_HOST=192.168.64.182
ENV DB_PORT=5432
ENV DB_NAME=myapp
ENV SERVER_PORT=8080

EXPOSE 8080/TCP
VOLUME /tmp

COPY ["create-user.sh", "startup.sh", "/usr/bin/"]

RUN chmod +x /usr/bin/create-user.sh
RUN chmod +x /usr/bin/startup.sh

RUN /usr/bin/create-user.sh && mkdir -p /home/java/app \
   chown -R java:java /home/java/ && \
   chmod +x /usr/bin/startup.sh

COPY --chown=java:java "dereckzenda-1.0.0.jar" "/home/java/app/"
COPY --chown=java:java "application.properties" "/home/java/app/"

USER java
CMD ["/usr/bin/startup.sh"]
